package com.xdap.self_development.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AuthorizationClassEnum {
    TEMPLATE_VIEW("1", "参数模板管理"),
    TEMPLATE_EDIT("2", "参数模板管理"),
    TEMPLATE_APPROVAL("1", "参数模板管理"),

    ENGINE_VIEW("1", "发动机数据"),
    ENGINE_EDIT("2", "发动机数据"),
    ENGINE_APPROVAL("1", "发动机数据审批流程"),

    REPORT_VIEW("1", "对标报告"),
    REPORT_EDIT("2", "对标报告"),
    REPORT_APPROVAL("1", "对标报告审批流程"),

    BASIC_DATA_VIEW("1", "基础管理模块"),
    BASIC_DATA_EDIT("2", "基础管理模块"),

    AUTH_EDIT("1", "权限");


    private final String permissionPer;

    private final String permissionPath;
}
